﻿@model List<WebApp.ViewModels.Admin.CarriageAdminViewModel>
@{
    ViewBag.Title = "Carriages";
}



<div class="panel panel-default">
    <div class="panel-heading"><h2>Carriages for train #@Context.Request.Params["trainId"]</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateCarriage", "Admin", new { trainId = Context.Request.Params["trainId"] }, null)
    </div>
    
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No carriages found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Number</th>
            <th>Type</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.Number)</td>
                    <td>@Html.DisplayFor(t => model.Type)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditCarriage", "Admin", new { id = model.Id }, null) |
                        @Html.ActionLink("Seats", "Seats", "Admin", new { carriageId = model.Id }, null) |
                        @Html.ActionLink("Delete", "DeleteCarriage", "Admin", new { id = model.Id }, null) 
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>
